@echo off
REM ===============================================================
REM Use this batch to build example with javac instead of JBuilder
REM ===============================================================

cls
setlocal

REM !!! Please change pathes in the lines below: !!!
REM ----------------------------------------------------

set JDKPATH=C:\JBuilder7\jdk1.3.1\
set J2MEWTKPATH=C:\JBuilder7\J2mewtk\
set SMTKAPI=C:\siemens\SMTK\emulators\MC60\lib\api.jar


REM ----------------------------------------------------



echo Compiling...
%JDKPATH%bin\javac.exe -O -g:none -bootclasspath %SMTKAPI% -target 1.1 -sourcepath Source -classpath %J2MEWTKPATH%lib\midpapi.zip  -d classes2 Source\*.java Source\com\asoft\midp\dynarray\*.java Source\com\asoft\midp\jzlib\*.java Source\com\asoft\midp\zip\*.java 

echo Preverifying...
%J2MEWTKPATH%\bin\preverify.exe -classpath %J2MEWTKPATH%lib\midpapi.zip -d classes3 classes2 

echo Packaging...
%JDKPATH%bin\jar cfm Output\ZIPExample.jar MANIFEST\manifest.mf -C classes3 .

endlocal

echo Now install files from ..\Output directory to a:\java\jam\ZIPExample\